petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCSetUpOnBlocks

Sets up the preconditioner for each block in the block Jacobi, block Gauss-Seidel, and overlapping Schwarz methods.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCSetUpOnBlocks(PC pc)

Collective on PC Many br

### Input Parameters

pc -the preconditioner context Many br

Many br

### Keywords

PC, setup, blocks

### See Also

PCCreate(), PCApply(), PCDestroy(), PCSetUp()

Level:developer
Location:src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages